import os
from PIL import Image

# Daftar folder ekspresi
image_folders = [d for d in os.listdir() if os.path.isdir(d)]

for expression in image_folders:
    file_name = expression + '.h' 

    with open(file_name, "w") as f:
        for i, image_name in enumerate(os.listdir(expression)):
            image_path = os.path.join(expression, image_name)

            if image_path.endswith('.png') or image_path.endswith('.jpg'):
                img = Image.open(image_path).convert('1').resize((64, 64))
                img_data = list(img.getdata())

                f.write(f"// Image: {expression}{i+1}\n")
                f.write(f"const uint8_t img_{expression}_{i+1}[] PROGMEM = {{\n")
                for j in range(0, len(img_data), 16):
                    f.write("  " + ", ".join(f"0x{img_data[k]:02X}" for k in range(j, min(j+16, len(img_data)))) + ",\n")
                f.write("};\n\n")

